---
page_source: https://docs.juspay.io/payout-sea/docs/integration/ifsc-validation
page_title: IFSC Validation
---

## API Version: default


# IFSC Validation



Merchants can use this API to validate the IFSC provided by the user. This API can be used only if merchant has configured Cashfree payment gateway credentials on Juspay dashboard.## Endpoints:
- Production: https://api.juspay.in/payout/merchant/v1/benedetails#IFSC

## Request Type: 
POST

## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl --location --request POST 'https://api.juspay.in/payout/merchant/v1/benedetails' \
-u your_api_key: \
--header 'Content-Type: application/json' \
--header 'x-merchantid: <merchant-id>' \
--data-raw '{
    "beneId":"Arunsbx1014",
    "beneDetails" : {
                "details": {
                    "ifsc": "YESB0000262"
                },
                "type": "IFSC"
            },
    "preferredGateway" : "CFGEN"
    
}'
```

### Sample Response:

#### Response:
```json
{
    "validateResp": {
        "subCode": "200",
        "status": "SUCCESS",
        "message": "Ifsc verification successful",
        "data": {
            "upi": "Not Live",
            "swiftCode": "",
            "state": "MAHARASHTRA",
            "rtgs": "Live",
            "neft": "Live",
            "nbin": 9532,
            "micr": 400532038,
            "imps": "Live",
            "ifscSubcode": "YESB0",
            "ifsc": "YESB0000262",
            "ft": "Live",
            "city": "GREATER BOMBAY",
            "category": "DIRECT_MEMBER",
            "card": "Not Live",
            "branch": "SANTACRUZ, MUMBAI",
            "bank": "YES BANK",
            "address": "GRND FLR, SAILESH BLDG, LINKING RD,, ERSTWHILE BENZER STORE AT LNKNG RD, NXT TO HDFC BANK,SANTACRUZ(W), MUMBAI, MAHARASHTRA-400054"
        }
    },
    "beneId": "Arunsbx1014",
    "status": "VALID",
    "remark": "Ifsc verification successful",
    "fulfillmentMethod": "CFGEN_IMPS"
     "beneDetails" : {
                "details": {
                    "ifsc": "YESB0000262"
                },
                "type": "IFSC"
            },
}
```

## Body Parameters:
### Parameters:

#### beneId:
- Description: Unique Request ID of request
- Tags: string, Required

#### beneDetails:
- Description: Json object of bene details
- Value:
  - **Details**:
    - Value:
      - **Ifsc**:
        - Description: IFSC that is to be verified
        - Tags: String, Mandatory
    - Tags: object
  - **Type**:
    - Description: type = IFSC if used for IFSC verification
    - Tags: string, Required
- Tags: object

#### preferredGateway:
- Description: Preffered gateway through which beneficiary validation is required to happen
- Tags: string
## API Responses:
### 200:

#### json:
- Tags: Object
### 400:

#### object:
- Description: {}
- Tags: Object
